Package org.gradle.jvm.platform

## Interface JavaPlatform

- All Superinterfaces:
    `Named`, `Platform`

      public interface JavaPlatform
      extends Platform

  Defines and configures a Java SE runtime environment, consisting of a JVM runtime and a set of class libraries.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JavaVersion` | `getTargetCompatibility()` |
    `void` | `setTargetCompatibility​(JavaVersion targetCompatibility)` |

    - ### Methods inherited from interface org.gradle.platform.base.Platform

      `getDisplayName, getName`

- - ### Method Detail

    - #### getTargetCompatibility

          @Internal
          JavaVersion getTargetCompatibility()

    - #### setTargetCompatibility

          void setTargetCompatibility​(JavaVersion targetCompatibility)